import { EPARGNER_ARGENT_USER_PENDING, EPARGNER_ARGENT_USER_SUCCESS, EPARGNER_ARGENT_USER_ERROR, EPARGNER_ARGENT_USER_RESET } from "../types/NanoCreditType";

const initialState = {
     loading: false,
     result: null,
     error: null
};

export default (state = initialState, action) => {
     switch (action.type) {
          case EPARGNER_ARGENT_USER_PENDING: return {
               ...state,
               loading: true
          }
          case EPARGNER_ARGENT_USER_SUCCESS: return {
               ...state,
               loading: false,
               result: action.result.data,
               error: null
          }
          case EPARGNER_ARGENT_USER_ERROR: return {
               ...state,
               loading: false,
               result: null,
               error: action.result
          }
          case EPARGNER_ARGENT_USER_RESET: return initialState;

          default: {
               return state;
          }
     }
};
